/*
    Copyright (C) 2010 - 2012 EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    MA 02110-1301  USA.
*/

#ifndef TESTEPARTS_H
#define TESTEPARTS_H

#include "etesting.h"

class EPart;

#include <testpluginforemodulelistwidgetitem.h>

#include <QStringList>

/**
 * @brief basic tests for an EPart
 */
class E_TESTING_EXPORT TestEParts : public TestPluginForEModuleListWidgetItem
{
  Q_OBJECT
  public:
    /**
     * @brief testing the EPart
		 * 
		 * Specify all needed resources with @p resourceFiles. Make
		 * sure to use absolute file paths and notice, that nothing
		 * will be installed at time of testing.
     */
    void testEParts(EPart* theEPart, QStringList resourceFiles = QStringList());
};

#endif // TESTEPARTS_H
